jQuery(document).ready(function($) {
    jQuery(".trackfree-cl-pr").each(function() {
        var image_url = ajax_object.plugins_url + "/trackfree-woocommerce-tracking/assets/icons/travel.svg";
        var $this = jQuery(this),
        $dataV = $this.data("percent"),
        $dataDeg = $dataV * 3.6,
        $round = $this.find(".trackfree-rn-pr");
        $round.css("transform", "rotate(" + parseInt($dataDeg + 180) + "deg)");
        $this.append('<div class="trackfree-cl-ib"><span class="trackfree-pr-tx"><img src="' + image_url +'" /></span></div>');
        $this.prop('Counter', 0).animate({Counter: $dataV});

        if ($dataV >= 51) {
            $round.css("transform", "rotate(" + 360 + "deg)");
            setTimeout(function() {
                $this.addClass("trackfree-pr-mr");
            }, 1000);
            setTimeout(function() {
                $round.css("transform", "rotate(" + parseInt($dataDeg + 180) + "deg)");
            },1000);
        }
    });

    $('.trackfree-dn-ls').hide();

    $.ajax({
        type: 'POST',
        data: {
            action: 'get_shipment_survey',
            range: 1
        },
        url: ajax_object.ajax_url,
        success: function(data) {
            $('#show_shipment_survey').html(data);
        },
        error: function(response) {
            $('#show_shipment_survey').html('');
        }
    });

    $.ajax({
        type: 'POST',
        data: {
            action: 'get_top_couriers',
            range: 1
        },
        url: ajax_object.ajax_url,
        success: function(data) {
            $('#show_top_courier_data').html(data);
        },
        error: function(response) {
            $('#show_top_courier_data').html('');
        }
    });

    $.ajax({
        type: 'POST',
        data: {
            action: 'get_top_destinations',
            range: 1
        },
        url: ajax_object.ajax_url,
        success: function(data) {
            $('#show_top_destination_data').html(data);
        },
        error: function(response) {
            $('#show_top_destination_data').html('');
        }
    });

    $.ajax({
        type: 'POST',
        data: {
            action: 'get_tracking_activity',
            status_type: '',
        },
        url: ajax_object.ajax_url,
        success: function(data) {
            $('#show_activity_data').html(data);
        },
        error: function(response) {
            $('#show_activity_data').html('');
        }
    });

    $.ajax({
        type: 'POST',
        data: {
            action: 'get_tracking_fav_activity',
            status_type: '',
        },
        url: ajax_object.ajax_url,
        success: function(data) {
            $('#show_fav_activity_data').html(data);
        },
        error: function(response) {
            $('#show_fav_activity_data').html('');
        }
    });

    $('#tf_activity_status').change(function() {
        jQuery.ajax({
            type: 'POST',
            data: {
                action: 'get_tracking_activity',
                status_type: this.value,
            },
            url: ajax_object.ajax_url,
            success: function(data) {
                $('#show_activity_data').html(data);
            },
            error: function(response) {
                $('#show_activity_data').html('');
            }
        });
    });

    $('#tf_ac_al').click(function() {
        $(this).removeClass('trackfree-tb-ct').addClass('trackfree-sl-tb');
        $('#tf_ac_fv').removeClass('trackfree-sl-tb').addClass('trackfree-tb-ct');
        $('#show_activity_data').show();
        $('.trackfree-ac-ls').show();
        $('#show_fav_activity_data').hide();
    });

    $('#tf_ac_fv').click(function() {
        $(this).removeClass('trackfree-tb-ct').addClass('trackfree-sl-tb');
        $('#tf_ac_al').removeClass('trackfree-sl-tb').addClass('trackfree-tb-ct');
        $('#show_activity_data').hide();
        $('.trackfree-ac-ls').hide();
        $('#show_fav_activity_data').show();
    });

    $('#tf_tp_cr').click(function() {
        $(this).removeClass('trackfree-tb-ct').addClass('trackfree-sl-tb');
        $('#tf_tp_dn').removeClass('trackfree-sl-tb').addClass('trackfree-tb-ct');
        $('#show_top_courier_data').show();
        $('.trackfree-cr-ls').show();
        $('.trackfree-dn-ls').hide();
        $('#show_top_destination_data').hide();
    });

    $('#tf_tp_dn').click(function() {
        $(this).removeClass('trackfree-tb-ct').addClass('trackfree-sl-tb');
        $('#tf_tp_cr').removeClass('trackfree-sl-tb').addClass('trackfree-tb-ct');
        $('#show_top_courier_data').hide();
        $('.trackfree-cr-ls').hide();
        $('.trackfree-dn-ls').show();
        $('#show_top_destination_data').show();
    });

    $('#tf_hp_ml').click(function() {
        window.open("https://trackfreehelp.freshdesk.com/support/tickets/new");
    });

    $('#tf_hp_ct').click(function() {
        window.Intercom('show');
    });

    $('#tf_hp_dc').click(function() {
        window.open("https://trackfreehelp.freshdesk.com/support/solutions");
    });
});

jQuery(document).on('change', '#survey_range', function() {
    jQuery.ajax({
        type: 'POST',
        data: {
            action: 'get_shipment_survey',
            range: this.value,
        },
        url: ajax_object.ajax_url,
        success: function(data) {
            jQuery('#show_shipment_survey').html(data);
        },
        error: function(response) {
            jQuery('#show_shipment_survey').html('');
        }
    });
});

jQuery(document).on('click', '#download_survey', function() {
    jQuery.ajax({
        type: 'POST',
        data: {
            action: 'download_shipment_survey'
        },
        url: ajax_object.ajax_url,
        success: function(data) {
            window.open(data);
        }
    });
});

jQuery(document).on('change', '#courier_range', function() {
    jQuery.ajax({
        type: 'POST',
        data: {
            action: 'get_top_couriers',
            range: this.value,
        },
        url: ajax_object.ajax_url,
        success: function(data) {
            jQuery('#show_top_courier_data').html(data);
        },
        error: function(response) {
            jQuery('#show_top_courier_data').html('');
        }
    });
});

jQuery(document).on('change', '#destination_range', function() {
    jQuery.ajax({
        type: 'POST',
        data: {
            action: 'get_top_destinations',
            range: this.value,
        },
        url: ajax_object.ajax_url,
        success: function(data) {
            jQuery('#show_top_destination_data').html(data);
        },
        error: function(response) {
            jQuery('#show_top_destination_data').html('');
        }
    });
});

jQuery(document).on('click', '#dismiss_track_page_info', function() {
    jQuery('#track_page_section').hide();
    jQuery.ajax({
        type: 'POST',
        data: {
            action: 'dismiss_track_page_info'
        },
        url: ajax_object.ajax_url
    });
});
