jQuery(function () {
    var appendthis =  ("<div class='modal-overlay trackfree-modal-close'></div>");

    jQuery('a[data-tf-modal-id]').click(function(e) {
        e.preventDefault();
        jQuery("body").append(appendthis);
        jQuery(".trackfree-modal-overlay").fadeTo(500, 0.7);
        var modalBox = jQuery(this).attr('data-tf-modal-id');
        jQuery('#'+modalBox).fadeIn(jQuery(this).data());
    });

    jQuery('a[data-modal-id]').click(function(e) {
        jQuery('#trackfree-shipment-content').html('<img src="https://trackfree.s3.us-west-1.amazonaws.com/default/tf-wp-preloader.gif" alt="Please wait...">');
        var id = this.id;
        e.preventDefault();
        jQuery("body").append(appendthis);
        jQuery(".trackfree-modal-overlay").fadeTo(500, 0.7);
        var modalBox = jQuery(this).attr('data-modal-id');
        jQuery('#'+modalBox).fadeIn(jQuery(this).data());
        jQuery.ajax({
            type: 'POST',
            data: {
                action: 'get_shipment_action',
                order_id: id
            },
            url: ajax_object.ajax_url,
            success: function(data) {
                jQuery('#trackfree-shipment-content').html(data);
            }
        });
    });

    jQuery(".trackfree-modal-close, .trackfree-modal-overlay").click(function() {
        jQuery(".trackfree-modal-box, .trackfree-modal-overlay").fadeOut(500, function() {
            jQuery(".trackfree-modal-overlay").remove();
        });
    });

    jQuery(window).resize(function() {
        jQuery(".trackfree-modal-box").css({
            top: (jQuery(window).height() - jQuery(".trackfree-modal-box").outerHeight()) / 2,
            left: (jQuery(window).width() - jQuery(".trackfree-modal-box").outerWidth()) / 2
        });
    });

    jQuery(window).resize();

    function set_trackfree_provider(selected_couriers) {
        jQuery.getJSON(ajax_object.plugins_url + "/trackfree-woocommerce-tracking/assets/js/trackfree_couriers.json", function(couriers) {
            var trackfree_couriers = jQuery('#trackfree_preferred_couriers').val();
            var couriers_select_array = (trackfree_couriers) ? trackfree_couriers.split(',') : [];
            jQuery.each(couriers, function (key, courier) {
                var str  = '';
                if (jQuery.inArray(courier['name'], couriers_select_array) !== -1) {
                    str += '';
                } else {
                    str += '<option value="' + courier['name'] + '">' + courier['name'] + '</option>';
                }
                jQuery('#trackfree_couriers').append(str);
            });
        });
    }

    jQuery('#addCourier').click(function () {
        return !jQuery('#trackfree_couriers option:selected').remove().appendTo('#trackfree_active_couriers');
    });

    jQuery('#removeCourier').click(function () {
        return !jQuery('#trackfree_active_couriers option:selected').remove().appendTo('#trackfree_couriers');
    });

    if (jQuery('#trackfree_preferred_couriers')) {
        var trackfree_couriers = jQuery('#trackfree_preferred_couriers').val();
        var couriers_select_array = (trackfree_couriers) ? trackfree_couriers.split(',') : [];
        set_trackfree_provider(couriers_select_array);
    }

    jQuery('.trackfree_remove_image').click(function() {
        var cfm = confirm('Are you sure you want to delete?');
        if (cfm) {
            var id = this.id;
            var img_type = id.split('remove_');
            jQuery('#img_' + img_type[1]).remove();
            jQuery('#tb_' + img_type[1]).remove();
            jQuery('#change_' + img_type[1]).hide();
            jQuery('#upload_' + img_type[1]).show();
            jQuery('#remove_' + img_type[1]).hide();
            if (img_type[1] == 'site_banner') {
                jQuery('#banner_link_container').hide();
            }
            jQuery.ajax({
                type: 'POST',
                data: {
                    action: 'trackfree_remove_upload_images',
                    image_type: img_type[1]
                },
                url: ajax_object.ajax_url,
                success: function(data) {
                    alert(data);
                }
            });
        }
    });

    jQuery('#trackfree_save_banner_url').click(function() {
        jQuery.ajax({
            type: 'POST',
            data: {
                action: 'trackfree_site_banner_action',
                site_banner_url: $('#trackfree_banner_url').val()
            },
            url: ajax_object.ajax_url,
            success: function(data) {
                alert(data);
            }
        });
    });

    jQuery('#trackfree_btn_add_tracking').click(function() {
        var trackfree_tracking_number = jQuery('#trackfree_tracking_number').val();
        var trackfree_courier_name = jQuery("select#trackfree_courier_name option").filter(":selected").val();
        var trackfree_order_status = jQuery("select#trackfree_order_status option").filter(":selected").val();
        var ord_id = jQuery('#ord_id').val();
        var redirect_url = jQuery('#redirect_url').val();
        if((trackfree_tracking_number) && (trackfree_courier_name)) {
            if (trackfree_tracking_number.length > 40) {
                alert('Please enter a valid tracking number');
                return false;
            }

            jQuery.getJSON(ajax_object.plugins_url + "/trackfree-woocommerce-tracking/assets/js/trackfree_couriers.json", function(couriers) {
                jQuery.each(couriers, function (key, courier) {
                    if (courier['name'] == trackfree_courier_name) {
                        jQuery('#add_new_tracking').html('<div style="margin:5px">' +  trackfree_tracking_number + '</div><div style="margin:5px"><img src="//tfree.sfo2.digitaloceanspaces.com/courier-logo/' +  courier['logo'] + '" alt="' +  trackfree_courier_name + '" style="opacity: 0.4;"></div><div>' + jQuery('#get_tracking_alert').val() + '</div><div><img src="https://trackfree.s3.us-west-1.amazonaws.com/default/tf-wp-preloader.gif" alt="Please wait..."></div>');
                    }
                });
            });

            jQuery.ajax({
                type: 'POST',
                data: {
                    action: 'add_new_shipment',
                    ord_id: ord_id,
                    trackfree_tracking_number: trackfree_tracking_number,
                    trackfree_courier_name: trackfree_courier_name,
                    trackfree_order_status: trackfree_order_status
                },
                url: ajax_object.ajax_url,
                success: function(data) {
                    alert(data);
                    window.location.href=redirect_url;
                }
            });
        }
    });

    jQuery('.trackfree_delete_tracking').click(function() {
        var cfm = confirm('Are you sure you want to delete?');
        if (cfm) {
            var id = this.id;
            var order_id = jQuery('#order_id').val();
            jQuery.ajax({
                type: 'POST',
                data: {
                    action: 'tracking_delete_action',
                    track_id: id,
                    order_id: order_id
                },
                url: ajax_object.ajax_url,
                success: function(data) {
                    location.reload();
                }
            });
        }
    });

    jQuery('#trackfree_new_track_add').click(function() {
        jQuery('#trackfree_add_tracking').show();
        jQuery('#trackfree_btn_cancel').show();
        jQuery(this).hide();
    });

    jQuery('#trackfree_btn_cancel').click(function() {
        jQuery('#trackfree_new_track_add').show();
        jQuery('#trackfree_add_tracking').hide();
        jQuery(this).hide();
    });

    jQuery('.trackfree_show_shipment_detail').click(function() {
        jQuery("#tf_ship_detail_" + this.id).html('<img src="https://trackfree.s3.us-west-1.amazonaws.com/default/tf-wp-preloader.gif" alt="Please wait...">');
        var shipment_id = this.id;
        var order_id = jQuery('#order_id').val();
        jQuery.ajax({
            type: 'POST',
            data: {
                action: 'show_shipment_detail_action',
                shipment_id: shipment_id,
                order_id: order_id
            },
            url: ajax_object.ajax_url,
            success: function(data) {
                jQuery("#tf_ship_detail_" + shipment_id).html(data);
            }
        });
    });
});

jQuery(document).on('click', '.trackfree_ord_det_menu_item', function() {
    var id  = this.id.split('_');
    if (id[0] == 'shipping-link')
    {
        jQuery('#carrier-link_' + id[1]).removeClass('active');
        jQuery('#carrier-detail_' + id[1]).removeClass('trackfree_active');
        jQuery('#shipping-detail_' + id[1]).addClass('trackfree_active');
    }
    if (id[0] == 'carrier-link')
    {
        jQuery('#shipping-link_' + id[1]).removeClass('active');
        jQuery('#shipping-detail_' + id[1]).removeClass('trackfree_active');
        jQuery('#carrier-detail_' + id[1]).addClass('trackfree_active');
    }
    jQuery(this).addClass('active');
});

jQuery(document).on('click', '.trackfree_shipement_menu_item', function() {
    var id = this.id;
    var new_id = id.replace('shipment-item-link_', 'shipment-detail_');
    jQuery('.trackfree_shipement_menu_item').removeClass('active');
    jQuery(this).addClass('active');
    jQuery('.trackfree-shipment-content').removeClass('trackfree_active');
    jQuery('#' + new_id).addClass('trackfree_active');
});


jQuery(document).on('click', '.mb-btn-show-more', function() {
    var id  = this.id.split('_');
    jQuery('#mb-show-more-data_' + id[1]).show();
    jQuery(this).hide();
    jQuery('#mb-btn-hide-more_' + id[1]).show();
});

jQuery(document).on('click', '.mb-btn-hide-more', function() {
    var id  = this.id.split('_');
    jQuery('#mb-show-more-data_' + id[1]).hide();
    jQuery(this).hide();
    jQuery('#mb-btn-show-more_' + id[1]).show();
});

jQuery(document).on('click', '.tf-btn-show-more', function() {
    var id  = this.id.split('_');
    jQuery('#tf-show-more-data_' + id[1]).show();
    jQuery(this).hide();
    jQuery('#tf-btn-hide-more_' + id[1]).show();
});

jQuery(document).on('click', '.tf-btn-hide-more', function() {
    var id  = this.id.split('_');
    jQuery('#tf-show-more-data_' + id[1]).hide();
    jQuery(this).hide();
    jQuery('#tf-btn-show-more_' + id[1]).show();
});

jQuery(document).on('click', '#trackfree_save_carrier', function() {
    jQuery('#trackfree_active_couriers option').prop('selected', true);

    var trackfree_couriers = jQuery('select#trackfree_active_couriers').val();
    var value = (trackfree_couriers) ? trackfree_couriers.join(',') : '';
    jQuery('#trackfree_preferred_couriers').val(value);

    jQuery.ajax({
        type: 'POST',
        data: {
            action: 'trackfree_carrier_update_action',
            trackfree_preferred_couriers: value
        },
        url: ajax_object.ajax_url,
        success: function(data) {
            alert(data);
        }
    });
});
