<div class="trackfree-main-box">
    <div class="trackfree-row">
        <div class="trackfree-col-2">
            <h2><?php _e('TrackFree Web App', 'trackfree-woocommerce-tracking');?></h2>
        </div>
        <div  class="trackfree-col-9">
            <div class="postbox">
                <div class="inside">
                    <div class="main">
                        <table class="form-table">
                            <tbody>
                                <tr>
                                    <td>
                                        <button class="trackfree-settings-btn" onclick="window.open('<?php echo trackfree_url();?>/wc_user_connect?key=<?php echo $trackfree_account_api_key;?>&src=web')"><?php _e('Open TrackFree Dashboard', 'trackfree-woocommerce-tracking');?></button>
                                        <p class="trackfree-separator">
                                            <?php _e('(For dashboard, advance settings, theme & email template editor, marketing and more.)'); ?>
                                        </p>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <button class="trackfree-settings-btn" onclick="window.open('<?php echo get_option('trackfree_tracking_domain');?>')"><?php _e('View Order Look-up Page', 'trackfree-woocommerce-tracking');?></button>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="trackfree-main-box">
    <div class="trackfree-row">
        <div class="trackfree-col-2">
            <h2><?php _e('Preferred Courier', 'trackfree-woocommerce-tracking');?></h2>
            <div class="trackfree-description"><?php _e('Select couriers you often use for more accurate courier auto-detection.', 'trackfree-woocommerce-tracking');?></div>
        </div>
        <div  class="trackfree-col-9">
            <div class="postbox">
                <div class="inside">
                    <div class="main">
                        <?php $couriers = array();
                        $preferred_couriers = get_option('trackfree_preferred_couriers');
                        if ($preferred_couriers) {
                            $couriers = explode(',', $preferred_couriers);
                        } ?>
                        <form method="post" action="<?php echo admin_url('admin.php?page=trackfree-setting');?>">
                            <?php settings_fields('trackfree_options_group'); ?>
                            <div class="trackfree-pc-ct">
                                <div>
                                    <p><b><?php _e('Available couriers', 'trackfree-woocommerce-tracking');?>(1103)</b></p>
                                    <select id="trackfree_couriers" multiple size="20" style="width: 320px;">
                                    </select>
                                </div>
                                <div style="margin: auto 16px;">
                                    <p><input type="button" value=">" id="addCourier" style="height: 40px; width: 40px;" /></p>
                                    <p><input type="button" value="<" id="removeCourier" style="height: 40px; width: 40px;" /></p>
                                </div>
                                <div>
                                    <p><b><?php _e('Preferred couriers', 'trackfree-woocommerce-tracking');?></b></p>
                                    <select data-placeholder="<?php _e('Please select couriers', 'trackfree-woocommerce-tracking');?>" id="trackfree_active_couriers" multiple size="20" style="width: 320px;">
                                    <?php
                                      foreach ($couriers as $courier) { ?>
                                          <option value="<?php echo $courier;?>"><?php echo $courier; ?></option>
                                          <?php
                                      }
                                     ?>
                                    </select>
                                </div>
                            </div>
                            <input type="hidden" id="trackfree_preferred_couriers" name="trackfree_preferred_couriers" value="<?php echo implode(",", $couriers); ?>" />
                            <input type="hidden" value="<?php echo $nonce; ?>" name="_wpnonce" />
                            <div style="margin: 16px">
                                <button id="trackfree_save_carrier" type="button" class="button button-primary"><?php _e('Save', 'trackfree-woocommerce-tracking') ?></button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="trackfree-main-box">
    <div class="trackfree-row">
        <div class="trackfree-col-2">
            <h2><?php _e('General Settings', 'trackfree-woocommerce-tracking');?></h2>
        </div>
        <div  class="trackfree-col-9">
            <div class="postbox">
                <div class="inside">
                    <div class="main">
                        <form method="post" id="mainform" action="<?php echo admin_url('admin.php?page=trackfree-setting');?>" enctype="multipart/form-data">
                            <table class="form-table">
                                <tbody>
                                    <tr>
                                        <th scope="row"><label for="trackfree_storename"><?php _e('Your Store Name', 'trackfree-woocommerce-tracking');?></label></th>
                                        <td><input name="trackfree_storename" type="text" id="trackfree_storename" value="<?php echo $response_data['store_name']; ?>" class="regular-text"></td>
                                    </tr>
                                    <tr>
                                        <th scope="row"><label for="trackfree_email"><?php _e('Email Address', 'trackfree-woocommerce-tracking');?></label></th>
                                        <td>
                                            <input name="trackfree_email" type="email" id="trackfree_email" aria-describedby="trackfree-email-description" value="<?php echo $response_data['email']; ?>" class="regular-text ltr" />
                                            <p class="description" style="margin-top: 5px;"><?php _e('This address is used for admin purposes. If you change this we will send you a confirmation email to your new address.', 'trackfree-woocommerce-tracking');?> <strong><?php _e('The new address will not be active until confirmed.', 'trackfree-woocommerce-tracking');?></strong></p>
                                            <?php if ($response_data['new_email']) {
                                                echo '<p>"' . $response_data['new_email'] . '" Verify pending.</p>';
                                            } ?>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th><?php _e('Shipment Delivery Email', 'trackfree-woocommerce-tracking');?></th>
                                        <td>
                                            <input type="checkbox" id="delivered_mail_to_customer" name="delivered_mail_to_customer" value="1" <?php if ($response_data['delivered_mail_to_customer'] == 1) { ?> checked="checked" <?php }?> />
                                            <p class="description" style="margin-top: 5px;"><?php _e('Send mail to customer when shipment is delivered', 'trackfree-woocommerce-tracking');?></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th><?php _e('Display Delivery Column', 'trackfree-woocommerce-tracking');?></th>
                                        <td>
                                            <input type="checkbox" id="show_shipment_status_order_list" name="show_shipment_status_order_list" value="1" <?php if (get_option('trackfree_shipment_status_in_orders') == 1) { ?> checked="checked" <?php }?> />
                                            <p class="description" style="margin-top: 5px;"><?php _e('Show shipment details in order list page', 'trackfree-woocommerce-tracking');?></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th><?php _e('Display Shipping Details', 'trackfree-woocommerce-tracking');?></th>
                                        <td>
                                            <input type="checkbox" id="show_shipment_details_order_details" name="show_shipment_details_order_details" value="1" <?php if (get_option('trackfree_shipment_details_in_order_details') == 1) { ?> checked="checked" <?php }?> />
                                            <p class="description" style="margin-top: 5px;"><?php _e('Show shipment details in order details page', 'trackfree-woocommerce-tracking');?></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th><?php _e('Automatic Status Update', 'trackfree-woocommerce-tracking');?></th>
                                        <td>
                                            <input type="checkbox" id="auto_order_status_change" name="auto_order_status_change" value="1" <?php if (get_option('trackfree_auto_order_status_update') == 1) { ?> checked="checked" <?php }?> />
                                            <p class="description" style="margin-top: 5px;"><?php _e('Change order status as completed when the shipment is delivered', 'trackfree-woocommerce-tracking');?></p>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                            <input type="hidden" value="true" name="trackfree_general_settings" />
                            <input type="hidden" value="<?php echo $nonce; ?>" name="_wpnonce" />
                            <?php submit_button(__('Save', 'trackfree-woocommerce-tracking')); ?>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="trackfree-main-box">
    <div class="trackfree-row">
        <div class="trackfree-col-2">
            <h2><?php _e('Domain Settings', 'trackfree-woocommerce-tracking'); ?></h2>
        </div>
        <div  class="trackfree-col-9">
            <div class="postbox">
                <div class="inside">
                    <div class="main">
                        <table class="form-table">
                            <tbody>
                                <tr>
                                    <th scope="row"><label for="trackfree_custom_domain"><?php _e('TrackFree Custom Domain', 'trackfree-woocommerce-tracking'); ?></label></th>
                                    <td>
                                        <?php if ($response_data['custom_domain']) { ?>
                                            <div style="margin-bottom: 16px;">
                                                <?php echo $response_data['custom_domain']; ?>
                                            </div>
                                        <?php } ?>
                                        <div>
                                        <div>
                                            <button class="button button-primary" onclick="window.open('<?php echo trackfree_url();?>/wc_user_connect?key=<?php echo $trackfree_account_api_key;?>&tfs=wp&tfp=settings&acn=custom_domain')"><?php _e('Change', 'trackfree-woocommerce-tracking');?></button>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="main">
                        <table class="form-table" style="border-top: 1px dotted #B7ABAC;">
                            <tbody>
                                <tr>
                                    <th scope="row"><label for="trackfree_custom_domain"><?php _e('TrackFree Subdomain', 'trackfree-woocommerce-tracking');?></label></th>
                                    <td>
                                        <div style="margin-bottom: 16px;">
                                            <?php echo $response_data['sub_domain']; ?>.trackfree.io
                                        </div>
                                        <button class="button button-primary" onclick="window.open('<?php echo trackfree_url();?>/wc_user_connect?key=<?php echo $trackfree_account_api_key;?>&tfs=wp&tfp=settings&acn=subdomain')"><?php _e('Change', 'trackfree-woocommerce-tracking');?></button>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="trackfree-main-box">
    <div class="row">
        <div class="trackfree-col-2">
            <h2><?php _e('Email Settings', 'trackfree-woocommerce-tracking');?></h2>
    	</div>
    </div>
    <div  class="trackfree-col-9">
		<div class="postbox">
			<div class="inside">
				<div class="main">
					<form method="post" action="<?php echo admin_url('admin.php?page=trackfree-setting');?>">
					<h2 style="font-size: 1.3em; margin: 1em 0;"><?php _e('Email sender options', 'trackfree-woocommerce-tracking');?></h2>
						<table class="form-table">
							<tbody>
								<tr>
									<th scope="row"><label for="blogname"><?php _e('"From" name', 'trackfree-woocommerce-tracking');?></label></th>
									<td>
										<img title="<?php _e('How the sender name appears in outgoing TrackFree emails.', 'trackfree-woocommerce-tracking');?>" src="https://trackfree.s3.us-west-1.amazonaws.com/default/tf-wp-info-icon.png"/>
									</td>
									<td>
										<?php echo $response_data['sender_name'];?>
									</td>
								</tr>
								<tr>
									<th scope="row"><label for="blogname"><?php _e('"From" address', 'trackfree-woocommerce-tracking');?>
									</label>
									</th>
									<td>
										<img title="<?php _e('How the sender email appears in outgoing TrackFree emails.', 'trackfree-woocommerce-tracking');?>" src="https://trackfree.s3.us-west-1.amazonaws.com/default/tf-wp-info-icon.png"/>
									</td>
									<td>
										<?php echo $response_data['sender_email'];?>
                                        <div style="margin-top: 16px;">
                                            <button class="button button-primary" onclick="window.open('<?php echo trackfree_url();?>/wc_user_connect?key=<?php echo $trackfree_account_api_key;?>&tfs=wp&tfp=settings')"><?php _e('Change', 'trackfree-woocommerce-tracking');?></button>
                                        </div>
									</td>
								</tr>
							</tbody>
						</table>
					</form>
					<div class="trackfree-line-border"></div>
					<h2 style="font-size: 1.3em; margin: 1em 0;"><?php _e('Email notifications', 'trackfree-woocommerce-tracking');?></h2>
                    <p style="margin-bottom:20px;">Email notifications sent from TrackFree are listed below.</p>
					<form method="post" action="<?php echo admin_url('admin.php?page=trackfree-setting');?>">
						<table class="wp-list-table widefat fixed striped posts">
							<thead>
								<tr>
									<th scope="row"><label for="content-email"><strong><?php _e('Email type', 'trackfree-woocommerce-tracking');?></strong></label></th>
									<th scope="row"><label for="content-action"><strong><?php _e('Action', 'trackfree-woocommerce-tracking');?></strong></label></th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<th scope="row"><label for="content-email"><?php _e('New Shipment Notification', 'trackfree-woocommerce-tracking');?> &nbsp;&nbsp;<img title="<?php _e('New shipment notification emails are sent to customer on addition of new tracking number.', 'trackfree-woocommerce-tracking');?>" src="https://trackfree.s3.us-west-1.amazonaws.com/default/tf-wp-info-icon.png"/></label></th>
									<td>
                                        <button name="trackfree_send_mail" class="button" type="submit" value="add-shipment"><?php _e('Send Test Mail', 'trackfree-woocommerce-tracking');?></button>
                                        <button class="button" style="margin-left: 16px;" type="button" onclick="window.open('<?php echo trackfree_url();?>/wc_user_connect?key=<?php echo $trackfree_account_api_key;?>&tfs=wp&tfp=settings&acn=email_add_shipment')"><?php _e('Customize', 'trackfree-woocommerce-tracking');?></button>
                                    </td>
								</tr>
								<tr>
									<th scope="row"><label for="content-email"><?php _e('Shipment Delivery - Success Notification', 'trackfree-woocommerce-tracking');?> &nbsp;&nbsp;<img title="<?php _e('Success delivery notification emails are sent to customer on successful delivery of shipment.', 'trackfree-woocommerce-tracking');?>" src="https://trackfree.s3.us-west-1.amazonaws.com/default/tf-wp-info-icon.png"/></label></th>
									<td>
                                        <button name="trackfree_send_mail" class="button" type="submit" value="shipment-delivery"><?php _e('Send Test Mail', 'trackfree-woocommerce-tracking');?></button>
                                        <button class="button" style="margin-left: 16px;" type="button" onclick="window.open('<?php echo trackfree_url();?>/wc_user_connect?key=<?php echo $trackfree_account_api_key;?>&tfs=wp&tfp=settings&acn=email_shipment_delivery')"><?php _e('Customize', 'trackfree-woocommerce-tracking');?></button>
                                    </td>
								</tr>
								<tr>
									<th scope="row"><label for="content-email"><?php _e('Shipment Delivery - Failed Notification', 'trackfree-woocommerce-tracking');?> &nbsp;&nbsp;<img title="<?php _e('Failed delivery notification emails are sent to customer when the delivery of shipment could not be completed.', 'trackfree-woocommerce-tracking');?>" src="https://trackfree.s3.us-west-1.amazonaws.com/default/tf-wp-info-icon.png"/></label></th>
									<td>
                                        <button name="trackfree_send_mail" class="button" type="submit" value="shipment-issue"><?php _e('Send Test Mail', 'trackfree-woocommerce-tracking');?></button>
                                        <button class="button" style="margin-left: 16px;" type="button" onclick="window.open('<?php echo trackfree_url();?>/wc_user_connect?key=<?php echo $trackfree_account_api_key;?>&tfs=wp&tfp=settings&acn=email_shipment_issue')"><?php _e('Customize', 'trackfree-woocommerce-tracking');?></button>
                                    </td>
								</tr>
								<tr>
									<th scope="row"><label for="content-email"><?php _e('Shipment Feedback Notification', 'trackfree-woocommerce-tracking');?> &nbsp;&nbsp;<img title="<?php _e('Feedback emails are sent to customer when the delivery has been successfully completed.', 'trackfree-woocommerce-tracking');?>" src="https://trackfree.s3.us-west-1.amazonaws.com/default/tf-wp-info-icon.png"/></label></th>
									<td>
										<button name="trackfree_send_mail" class="button" type="submit" value="shipment-feedback"><?php _e('Send Test Mail', 'trackfree-woocommerce-tracking');?></button>
									</td>
								</tr>
							</tbody>
						</table>
						<input type="hidden" value="true" name="trackfree_test_mail" />
						<input type="hidden" value="<?php echo $nonce; ?>" name="_wpnonce" />
					</form>
				</div>
			</div>
		</div>
	</div>
</div>
